1. Leads
  • Public Plans
    • List commercially visible plans
      GET
    • Show one commercially visible plan
      GET
  • Plans Management
    • List all plans including inactive and soft-deleted
      GET
    • Create a plan
      POST
    • Show a plan for administration
      GET
    • Update a plan
      PATCH
  • Billing Webhooks
    • Receive a billing provider webhook
      POST
  • Channel Webhooks
    • Meta webhook verification challenge
      GET
    • Receive Meta messaging events
      POST
    • Receive Telegram bot updates
      POST
    • WhatsApp Business verification challenge
      GET
    • Receive WhatsApp Business messaging events
      POST
    • Receive WhatsApp Web inbound messages
      POST
  • Commerce Webhooks
    • Receive a WooCommerce webhook
      POST
  • Authentication
    • Current workspace and API key
      GET
  • Subscription
    • Current workspace subscription
      GET
    • Initiate subscription checkout
      POST
    • Change subscription plan
      POST
    • Cancel subscription at period end
      POST
    • Resume a scheduled cancellation
      POST
  • Channels
    • List enabled channels
  • Contacts
    • List contacts
    • Create a contact
    • View a contact
    • Update a contact
  • Conversations
    • List conversations
    • View a conversation
  • Messages
    • List conversation messages
    • Send a message
  • Leads
    • List leads
      GET
    • Create a lead
      POST
    • View a lead
      GET
    • Update a lead
      PATCH
  • Knowledge
    • List knowledge base entries
  • Schemas
    • PublicPlan
    • Subscription
    • PublicPlanFeature
    • CheckoutRequest
    • PublicPlanLimit
    • CheckoutResponse
    • PlatformPlan
    • ChangePlanRequest
    • ApiKeyInfo
    • PlatformPlanCreateRequest
    • PlatformPlanUpdateRequest
    • Business
    • WebhookAcceptResponse
    • Channel
    • Error
    • Contact
    • ContactCreateRequest
    • ValidationError
    • ContactUpdateRequest
    • Conversation
    • Message
    • MessageCreateRequest
    • Lead
    • LeadCreateRequest
    • LeadUpdateRequest
    • KnowledgeBaseEntry
  1. Leads

View a lead

GET
https://api.replyable.ai/v1/leads/{lead}

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Responses

🟢200LeadResponse
application/json
Single lead
Bodyapplication/json

🟠401Unauthenticated
🟠403Forbidden
🟠404NotFound
🟠429TooManyRequests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.replyable.ai/v1/leads/' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "data": {
        "id": "string",
        "name": "string",
        "email": "string",
        "phone": "string",
        "company": "string",
        "message": "string",
        "interest": "string",
        "lead_score": "string",
        "scoring_status": "string",
        "lifecycle_stage": "string",
        "source": "string",
        "source_channel": "string",
        "conversation_id": "string",
        "captured_at": "2019-08-24T14:15:22.123Z",
        "last_contacted_at": "2019-08-24T14:15:22.123Z",
        "created_at": "2019-08-24T14:15:22.123Z",
        "updated_at": "2019-08-24T14:15:22.123Z"
    }
}
Modified at 2026-09-10 10:40:46
Previous
Create a lead
Next
Update a lead
Built with